web-dev-qa-db-ja.com

CentOS 6.5にdocker 1.9+をインストールするには?

私は現在CentOS 6.5にデプロイしており、今dockerを使い始めています。

だから、私は上の指示に従います https://docs.docker.com/engine/installation/centos/

インストール方法に関係なく、1.7.1のバージョンを取得します。

[[email protected]_72_235_centos ~]# docker version
Client version: 1.7.1
Client API version: 1.19
Go version (client): go1.4.2
Git commit (client): 786b29d/1.7.1
OS/Arch (client): linux/AMD64
Server version: 1.7.1
Server API version: 1.19
Go version (server): go1.4.2
Git commit (server): 786b29d/1.7.1
OS/Arch (server): linux/AMD64

しかし今、私はドキュメントでコマンドを実行します:

docker network ls

失敗ありdocker: 'network' is not a docker command.

そして、私はようやく、ネットワークアクションが最初に1.9で導入されたことを知っています。

Centos6にdocker 1.9をインストールする方法はありますか?

9
Alfred Huang

CentOS 6およびRHEL 6はサポートされなくなり、それらの最後のビルドはdocker 1.7.1です。

ドキュメントのそのページ( https://docs.docker.com/engine/installation/centos/ )にも言及しています。

DockerはCentOS 7.Xで実行されます。Dockerは、CentOSのバージョンに関係なく64ビットのインストールが必要です。また、カーネルは少なくとも3.10でなければならず、CentOS 7が実行されます。

これらのディストリビューションが実行されているカーネル(2.6.x)は13年以上前のものであり、新しい機能はRed Hatによってバックポートされていますが、Dockerに必要な特定のオプションがなく、不安定であることが判明しています。生産には不向きです。

Dockerを使用したい場合は、CentOS 7.xにアップグレードすることをお勧めします。

28
thaJeztah